const command = {
  command: "init",
  describe: "Create a new Lerna repo or upgrade an existing repo to the current version of Lerna",
  builder: {
    exact: {
      describe: "Specify lerna dependency version in package.json without a caret (^)",
      type: "boolean"
    },
    independent: {
      describe: "Version packages independently",
      alias: "i",
      type: "boolean"
    }
  },
  handler(argv) {
    return require(".")(argv);
  }
};
module.exports = command;
