var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var constants_exports = {};
__export(constants_exports, {
  BLANK_LINE: () => BLANK_LINE,
  CHANGELOG_HEADER: () => CHANGELOG_HEADER,
  COMMIT_GUIDELINE: () => COMMIT_GUIDELINE,
  EOL: () => EOL
});
module.exports = __toCommonJS(constants_exports);
const EOL = "\n";
const BLANK_LINE = EOL + EOL;
const COMMIT_GUIDELINE = "See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.";
const CHANGELOG_HEADER = [
  "# Change Log",
  "",
  "All notable changes to this project will be documented in this file.",
  COMMIT_GUIDELINE
].join(EOL);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  BLANK_LINE,
  CHANGELOG_HEADER,
  COMMIT_GUIDELINE,
  EOL
});
