var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var make_bump_only_filter_exports = {};
__export(make_bump_only_filter_exports, {
  makeBumpOnlyFilter: () => makeBumpOnlyFilter
});
module.exports = __toCommonJS(make_bump_only_filter_exports);
var import_constants = require("./constants");
function makeBumpOnlyFilter(pkg) {
  return (newEntry) => {
    if (!newEntry.split("\n").some((line) => line.startsWith("*"))) {
      const message = `**Note:** Version bump only for package ${pkg.name}`;
      return [newEntry.trim(), message, import_constants.BLANK_LINE].join(import_constants.BLANK_LINE);
    }
    return newEntry;
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  makeBumpOnlyFilter
});
