var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var npm_run_script_exports = {};
__export(npm_run_script_exports, {
  npmRunScript: () => npmRunScript,
  npmRunScriptStreaming: () => npmRunScriptStreaming
});
module.exports = __toCommonJS(npm_run_script_exports);
var import_npmlog = __toESM(require("npmlog"));
var import_get_npm_exec_opts = require("./get-npm-exec-opts");
const childProcess = require("@lerna/child-process");
function npmRunScript(script, { args, npmClient, pkg, reject = true }) {
  import_npmlog.default.silly("npmRunScript", script, args, pkg.name);
  const argv = ["run", script, ...args];
  const opts = makeOpts(pkg, reject);
  return childProcess.exec(npmClient, argv, opts);
}
function npmRunScriptStreaming(script, { args, npmClient, pkg, prefix, reject = true }) {
  import_npmlog.default.silly("npmRunScriptStreaming", [script, args, pkg.name]);
  const argv = ["run", script, ...args];
  const opts = makeOpts(pkg, reject);
  return childProcess.spawnStreaming(npmClient, argv, opts, prefix && pkg.name);
}
function makeOpts(pkg, reject) {
  return Object.assign((0, import_get_npm_exec_opts.getNpmExecOpts)(pkg), {
    windowsHide: false,
    reject
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  npmRunScript,
  npmRunScriptStreaming
});
