var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var temp_write_exports = {};
__export(temp_write_exports, {
  default: () => temp_write_default
});
module.exports = __toCommonJS(temp_write_exports);
var import_graceful_fs = __toESM(require("graceful-fs"));
var import_is_stream = __toESM(require("is-stream"));
var import_make_dir = __toESM(require("make-dir"));
var import_path = __toESM(require("path"));
var import_temp_dir = __toESM(require("temp-dir"));
var import_util = require("util");
var uuid = __toESM(require("uuid"));
const writeFileP = (0, import_util.promisify)(import_graceful_fs.default.writeFile);
const tempfile = (filePath) => import_path.default.join(import_temp_dir.default, uuid.v4(), filePath || "");
const writeStream = async (filePath, fileContent) => new Promise((resolve, reject) => {
  const writable = import_graceful_fs.default.createWriteStream(filePath);
  fileContent.on("error", (error) => {
    reject(error);
    fileContent.unpipe(writable);
    writable.end();
  }).pipe(writable).on("error", reject).on("finish", resolve);
});
async function tempWrite(fileContent, filePath) {
  const tempPath = tempfile(filePath);
  const write = (0, import_is_stream.default)(fileContent) ? writeStream : writeFileP;
  await (0, import_make_dir.default)(import_path.default.dirname(tempPath));
  await write(tempPath, fileContent);
  return tempPath;
}
tempWrite.sync = (fileContent, filePath) => {
  const tempPath = tempfile(filePath);
  import_make_dir.default.sync(import_path.default.dirname(tempPath));
  import_graceful_fs.default.writeFileSync(tempPath, fileContent);
  return tempPath;
};
var temp_write_default = tempWrite;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
