var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var serialize_changelog_exports = {};
__export(serialize_changelog_exports, {
  changelogSerializer: () => changelogSerializer
});
module.exports = __toCommonJS(serialize_changelog_exports);
var import_serialize_git_sha = require("./serialize-git-sha");
const normalizeNewline = require("normalize-newline");
const changelogSerializer = {
  serialize: (str) => {
    return import_serialize_git_sha.gitSHASerializer.serialize(normalizeNewline(str)).replace(/(\[.*?\])\(.*\/compare\/(.*?)\)/g, "$1(/compare/$2)").replace(/(\[.*?\])\(.*\/commit(s?)\/GIT_HEAD\)/g, "$1(COMMIT_URL)").replace(/\(\d{4}-\d{2}-\d{2}\)/g, "(YYYY-MM-DD)");
  },
  test: (val) => {
    return val != null && typeof val === "string";
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  changelogSerializer
});
