var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var serialize_git_sha_exports = {};
__export(serialize_git_sha_exports, {
  gitSHASerializer: () => gitSHASerializer
});
module.exports = __toCommonJS(serialize_git_sha_exports);
const gitSHASerializer = {
  serialize: (str) => {
    return str.replace(/\b[0-9a-f]{7,8}\b/g, "SHA").replace(/\b[0-9a-f]{40}\b/g, "GIT_HEAD");
  },
  test: (val) => {
    return val != null && typeof val === "string" && /[0-9a-f]{7,40}/.test(val);
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  gitSHASerializer
});
