var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var serialize_tempdir_exports = {};
__export(serialize_tempdir_exports, {
  tempDirSerializer: () => tempDirSerializer
});
module.exports = __toCommonJS(serialize_tempdir_exports);
var import_path = __toESM(require("path"));
const normalizePath = require("normalize-path");
const TEMP_DIR_REGEXP = /([^\s"]*[\\/][0-9a-f]{32})([^\s"]*)/g;
const tempDirSerializer = {
  serialize: (val, _config, _indentation, depth) => {
    const str = val.replace(TEMP_DIR_REGEXP, serializeProjectRoot);
    return depth ? `"${str}"` : str;
  },
  test: (val) => {
    return typeof val === "string" && TEMP_DIR_REGEXP.test(val);
  }
};
function serializeProjectRoot(_match, _cwd, subPath) {
  return normalizePath(import_path.default.join("__TEST_ROOTDIR__", subPath));
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  tempDirSerializer
});
