var import_core = require("@lerna/core");
const command = {
  command: "clean",
  describe: "Remove the node_modules directory from all packages",
  builder(yargs) {
    yargs.options({
      y: {
        group: "Command Options:",
        describe: "Skip all confirmation prompts",
        alias: "yes",
        type: "boolean"
      }
    });
    return (0, import_core.filterOptions)(yargs);
  },
  handler(argv) {
    return require(".")(argv);
  }
};
module.exports = command;
