var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var src_exports = {};
__export(src_exports, {
  Command: () => import_command.Command,
  CommandConfigOptions: () => import_project2.CommandConfigOptions,
  Package: () => import_package.Package,
  PackageGraph: () => import_package_graph.PackageGraph,
  PackageGraphNode: () => import_package_graph_node.PackageGraphNode,
  Profiler: () => import_profiler.Profiler,
  Project: () => import_project.Project,
  ValidationError: () => import_validation_error.ValidationError,
  applyBuildMetadata: () => import_conventional_commits.applyBuildMetadata,
  checkWorkingTree: () => import_check_working_tree.checkWorkingTree,
  createGitHubClient: () => import_scm_clients.createGitHubClient,
  createGitLabClient: () => import_scm_clients.createGitLabClient,
  createRunner: () => import_run_lifecycle.createRunner,
  createSymlink: () => import_create_symlink.createSymlink,
  describeRef: () => import_describe_ref.describeRef,
  filterOptions: () => import_filter_options.filterOptions,
  generateProfileOutputPath: () => import_profiler.generateProfileOutputPath,
  getFilteredPackages: () => import_filter_options.getFilteredPackages,
  getOneTimePassword: () => import_otplease.getOneTimePassword,
  getPackages: () => import_project.getPackages,
  hasNpmVersion: () => import_has_npm_version.hasNpmVersion,
  listableFormat: () => import_listable_format.listableFormat,
  listableOptions: () => import_listable_options.listableOptions,
  logPacked: () => import_log_packed.logPacked,
  npmConf: () => npmConf,
  npmDistTag: () => npmDistTag,
  npmInstall: () => import_npm_install.npmInstall,
  npmInstallDependencies: () => import_npm_install.npmInstallDependencies,
  npmPublish: () => import_npm_publish.npmPublish,
  npmRunScript: () => import_npm_run_script.npmRunScript,
  npmRunScriptStreaming: () => import_npm_run_script.npmRunScriptStreaming,
  output: () => import_output.output,
  packDirectory: () => import_pack_directory.packDirectory,
  parseGitRepo: () => import_scm_clients.parseGitRepo,
  prereleaseIdFromVersion: () => import_prerelease_id_from_version.prereleaseIdFromVersion,
  promptConfirmation: () => import_prompt.promptConfirmation,
  promptSelectOne: () => import_prompt.promptSelectOne,
  promptTextInput: () => import_prompt.promptTextInput,
  pulseTillDone: () => import_pulse_till_done.pulseTillDone,
  recommendVersion: () => import_conventional_commits.recommendVersion,
  rimrafDir: () => import_rimraf_dir.rimrafDir,
  runLifecycle: () => import_run_lifecycle.runLifecycle,
  runTopologically: () => import_run_topologically.runTopologically,
  symlinkBinary: () => import_symlink_binary.symlinkBinary,
  symlinkDependencies: () => import_symlink_dependencies.symlinkDependencies,
  tempWrite: () => import_temp_write.default,
  throwIfUncommitted: () => import_check_working_tree.throwIfUncommitted,
  timer: () => import_timer.timer,
  updateChangelog: () => import_conventional_commits.updateChangelog
});
module.exports = __toCommonJS(src_exports);
var import_check_working_tree = require("./lib/check-working-tree");
__reExport(src_exports, require("./lib/cli"), module.exports);
__reExport(src_exports, require("./lib/collect-updates"), module.exports);
var import_command = require("./lib/command");
var import_conventional_commits = require("./lib/conventional-commits");
var import_create_symlink = require("./lib/create-symlink");
var import_describe_ref = require("./lib/describe-ref");
var import_filter_options = require("./lib/filter-options");
var import_has_npm_version = require("./lib/has-npm-version");
var import_listable_format = require("./lib/listable/listable-format");
var import_listable_options = require("./lib/listable/listable-options");
var import_log_packed = require("./lib/log-packed");
var import_npm_install = require("./lib/npm-install");
var import_npm_publish = require("./lib/npm-publish");
var import_npm_run_script = require("./lib/npm-run-script");
var import_otplease = require("./lib/otplease");
var import_output = require("./lib/output");
var import_pack_directory = require("./lib/pack-directory");
var import_package = require("./lib/package");
var import_package_graph = require("./lib/package-graph");
var import_prerelease_id_from_version = require("./lib/prerelease-id-from-version");
var import_profiler = require("./lib/profiler");
var import_project = require("./lib/project");
var import_prompt = require("./lib/prompt");
var import_pulse_till_done = require("./lib/pulse-till-done");
var import_rimraf_dir = require("./lib/rimraf-dir");
var import_run_lifecycle = require("./lib/run-lifecycle");
var import_run_topologically = require("./lib/run-topologically");
var import_scm_clients = require("./lib/scm-clients");
var import_symlink_binary = require("./lib/symlink-binary");
var import_symlink_dependencies = require("./lib/symlink-dependencies");
var import_temp_write = __toESM(require("./lib/temp-write"));
var import_timer = require("./lib/timer");
var import_validation_error = require("./lib/validation-error");
var import_package_graph_node = require("./lib/package-graph/package-graph-node");
var import_project2 = require("./lib/project");
const npmConf = require("./lib/npm-conf");
const npmDistTag = require("./lib/npm-dist-tag");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Command,
  CommandConfigOptions,
  Package,
  PackageGraph,
  PackageGraphNode,
  Profiler,
  Project,
  ValidationError,
  applyBuildMetadata,
  checkWorkingTree,
  createGitHubClient,
  createGitLabClient,
  createRunner,
  createSymlink,
  describeRef,
  filterOptions,
  generateProfileOutputPath,
  getFilteredPackages,
  getOneTimePassword,
  getPackages,
  hasNpmVersion,
  listableFormat,
  listableOptions,
  logPacked,
  npmConf,
  npmDistTag,
  npmInstall,
  npmInstallDependencies,
  npmPublish,
  npmRunScript,
  npmRunScriptStreaming,
  output,
  packDirectory,
  parseGitRepo,
  prereleaseIdFromVersion,
  promptConfirmation,
  promptSelectOne,
  promptTextInput,
  pulseTillDone,
  recommendVersion,
  rimrafDir,
  runLifecycle,
  runTopologically,
  symlinkBinary,
  symlinkDependencies,
  tempWrite,
  throwIfUncommitted,
  timer,
  updateChangelog
});
