var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var build_graph_exports = {};
__export(build_graph_exports, {
  buildGraph: () => buildGraph
});
module.exports = __toCommonJS(build_graph_exports);
var import_package = require("../../package");
var import_package_graph = require("../../package-graph");
function buildGraph(mapPackages = (pkg) => pkg) {
  const packages = [
    {
      name: "package-cycle-1",
      version: "1.0.0",
      dependencies: {
        "package-cycle-2": "1.0.0"
      }
    },
    {
      name: "package-cycle-2",
      version: "1.0.0",
      dependencies: {
        "package-cycle-1": "1.0.0"
      }
    },
    {
      name: "package-cycle-extraneous-1",
      version: "1.0.0",
      description: "This package is used to break ties between package-cycle-{1,2}.",
      dependencies: {
        "package-cycle-1": "1.0.0"
      }
    },
    {
      name: "package-cycle-extraneous-2",
      version: "1.0.0",
      description: "This package is used to break ties between package-cycle-{1,2}.",
      dependencies: {
        "package-cycle-1": "1.0.0",
        "package-cycle-2": "1.0.0"
      }
    },
    {
      name: "package-dag-1",
      version: "1.0.0"
    },
    {
      name: "package-dag-2a",
      version: "1.0.0",
      dependencies: {
        "package-dag-1": "1.0.0"
      }
    },
    {
      name: "package-dag-2b",
      version: "1.0.0",
      dependencies: {
        "package-dag-1": "1.0.0"
      }
    },
    {
      name: "package-dag-3",
      version: "1.0.0",
      dependencies: {
        "package-dag-2a": "1.0.0",
        "package-dag-1": "1.0.0"
      }
    },
    {
      name: "package-standalone",
      version: "1.0.0"
    }
  ].map(mapPackages).map((json) => new import_package.Package(json, `/test/packages/${json.name}`, "/test"));
  return new import_package_graph.PackageGraph(packages);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  buildGraph
});
