var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var import_path = __toESM(require("path"));
var import_stream = require("stream");
var import_url = __toESM(require("url"));
const Umask = () => {
};
const getLocalAddresses = () => [];
const semver = () => {
};
exports.types = {
  access: [null, "restricted", "public"],
  "allow-same-version": Boolean,
  "always-auth": Boolean,
  also: [null, "dev", "development"],
  audit: Boolean,
  "audit-level": ["low", "moderate", "high", "critical"],
  "auth-type": ["legacy", "sso", "saml", "oauth"],
  "bin-links": Boolean,
  browser: [null, String],
  ca: [null, String, Array],
  cafile: import_path.default,
  cache: import_path.default,
  "cache-lock-stale": Number,
  "cache-lock-retries": Number,
  "cache-lock-wait": Number,
  "cache-max": Number,
  "cache-min": Number,
  cert: [null, String],
  cidr: [null, String, Array],
  color: ["always", Boolean],
  depth: Number,
  description: Boolean,
  dev: Boolean,
  "dry-run": Boolean,
  editor: String,
  "engine-strict": Boolean,
  force: Boolean,
  "fetch-retries": Number,
  "fetch-retry-factor": Number,
  "fetch-retry-mintimeout": Number,
  "fetch-retry-maxtimeout": Number,
  git: String,
  "git-tag-version": Boolean,
  "commit-hooks": Boolean,
  global: Boolean,
  globalconfig: import_path.default,
  "global-style": Boolean,
  group: [Number, String],
  "https-proxy": [null, import_url.default],
  "user-agent": String,
  "ham-it-up": Boolean,
  heading: String,
  "if-present": Boolean,
  "ignore-prepublish": Boolean,
  "ignore-scripts": Boolean,
  "init-module": import_path.default,
  "init-author-name": String,
  "init-author-email": String,
  "init-author-url": ["", import_url.default],
  "init-license": String,
  "init-version": semver,
  json: Boolean,
  key: [null, String],
  "legacy-bundling": Boolean,
  link: Boolean,
  "local-address": getLocalAddresses(),
  loglevel: ["silent", "error", "warn", "notice", "http", "timing", "info", "verbose", "silly"],
  logstream: import_stream.Stream,
  "logs-max": Number,
  long: Boolean,
  maxsockets: Number,
  message: String,
  "metrics-registry": [null, String],
  "node-options": [null, String],
  "node-version": [null, semver],
  noproxy: [null, String, Array],
  offline: Boolean,
  "onload-script": [null, String],
  only: [null, "dev", "development", "prod", "production"],
  optional: Boolean,
  "package-lock": Boolean,
  otp: [null, String],
  "package-lock-only": Boolean,
  parseable: Boolean,
  "prefer-offline": Boolean,
  "prefer-online": Boolean,
  prefix: import_path.default,
  preid: String,
  production: Boolean,
  progress: Boolean,
  // allow proxy to be disabled explicitly
  proxy: [null, false, import_url.default],
  "read-only": Boolean,
  "rebuild-bundle": Boolean,
  registry: [null, import_url.default],
  rollback: Boolean,
  save: Boolean,
  "save-bundle": Boolean,
  "save-dev": Boolean,
  "save-exact": Boolean,
  "save-optional": Boolean,
  "save-prefix": String,
  "save-prod": Boolean,
  scope: String,
  "script-shell": [null, String],
  "scripts-prepend-node-path": [false, true, "auto", "warn-only"],
  searchopts: String,
  searchexclude: [null, String],
  searchlimit: Number,
  searchstaleness: Number,
  "send-metrics": Boolean,
  shell: String,
  shrinkwrap: Boolean,
  "sign-git-commit": Boolean,
  "sign-git-tag": Boolean,
  "sso-poll-frequency": Number,
  "sso-type": [null, "oauth", "saml"],
  "strict-ssl": Boolean,
  tag: String,
  timing: Boolean,
  tmp: import_path.default,
  unicode: Boolean,
  "unsafe-perm": Boolean,
  "update-notifier": Boolean,
  usage: Boolean,
  user: [Number, String],
  userconfig: import_path.default,
  umask: Umask,
  version: Boolean,
  "tag-version-prefix": String,
  versions: Boolean,
  viewer: String,
  _exit: Boolean
};
